Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`python`.`systemd``

module documentation
(source)

Integration with systemd.

Currently only the minimum APIs necessary for using systemd's socket activation feature are supported.

Class | `ListenFDs` | `ListenFDs` provides access to file descriptors inherited from systemd.
Function | `_parseDescriptors` | Parse the LISTEN_FDS environment variable supplied by systemd.
Function | `_parseNames` | Parse the LISTEN_FDNAMES environment variable supplied by systemd.

def _parseDescriptors(start: `int`, environ: `Mapping[str, str]`) -> `List[int]`: (source)

Parse the LISTEN_FDS environment variable supplied by systemd.

Parameters
start:`int` | systemd provides only a count of the number of descriptors that have been inherited. This is the integer value of the first inherited descriptor. Subsequent inherited descriptors are numbered counting up from here. See `ListenFDs._START`.
environ:`Mapping[str, str]` | The environment variable mapping in which to look for the value to parse.
Returns
`List[int]` | The integer values of the inherited file descriptors, in order.

def _parseNames(environ: `Mapping[str, str]`) -> `Sequence[str]`: (source)

Parse the LISTEN_FDNAMES environment variable supplied by systemd.

Parameters
environ:`Mapping[str, str]` | The environment variable mapping in which to look for the value to parse.
Returns
`Sequence[str]` | The names of the inherited descriptors, in order.